YUI AS Component Documentation |
Class SeriesSerializer

Package | com.yahoo.yui.charts
Class | public class SeriesSerializer

Public Methods

| Method | Defined by
--- | --- | ---
|  | readSeries(input:Object, series:ISeries = null):ISeries [static] Creates or updates a series based on an object of series properties. | SeriesSerializer
|  | seriesTypeToShortName(type:Class):String [static] Returns a series string reference based on a class. | SeriesSerializer
|  | shortNameToSeriesType(name:String):Class [static] Returns a series class based on a string reference. | SeriesSerializer
|  | writeSeries(input:ISeries):Object [static] Returns the properties of a series. | SeriesSerializer

Method detail

readSeries | () | method

`public static function readSeries(input:Object, series:ISeries = null):ISeries`

Creates or updates a series based on an object of series properties.

Parameters

| `input:Object` — Properties to be applied to the series.
| `series:ISeries` (default = `null`)`` — Series to be updated

Returns

| `ISeries` — New or updated series.

seriesTypeToShortName | () | method |

`public static function seriesTypeToShortName(type:Class):String`

Returns a series string reference based on a class.

Parameters

| `type:Class` — Series class from which to derive a string reference.

Returns

| `String` — Reference to the series.

shortNameToSeriesType | () | method |

`public static function shortNameToSeriesType(name:String):Class`

Returns a series class based on a string reference.

Parameters

| `name:String` — Reference from which to derive a class.

Returns

| `Class` — Series Class

writeSeries | () | method |

`public static function writeSeries(input:ISeries):Object`

Returns the properties of a series.

Parameters

| `input:ISeries` — Series from which to retrieve the properties.

Returns

| `Object` — Properties of the Series.